<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><title>Python: module Diplomacy</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head><body bgcolor="#f0f0f8">

<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="heading">
<tr bgcolor="#7799ee">
<td valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial">&nbsp;<br><big><big><strong>Diplomacy</strong></big></big></font></td
><td align=right valign=bottom
><font color="#ffffff" face="helvetica, arial"><a href=".">index</a><br><a href="file:c%3A%5Cusers%5Cchu%20nguyen%5Cdocuments%5Ccs330%5Cdiplomacy%5Cdiplomacy.py">c:\users\chu nguyen\documents\cs330\diplomacy\diplomacy.py</a></font></td></tr></table>
    <p><tt>#&nbsp;---------------------------<br>
#&nbsp;projects/diplomacy/<a href="#Diplomacy">Diplomacy</a>.py<br>
#&nbsp;Copyright&nbsp;(C)&nbsp;2019<br>
#&nbsp;---------------------------</tt></p>
<p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ee77aa">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Classes</strong></big></font></td></tr>
    
<tr><td bgcolor="#ee77aa"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl>
<dt><font face="helvetica, arial"><a href="builtins.html#object">builtins.object</a>
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="Diplomacy.html#Diplomacy">Diplomacy</a>
</font></dt></dl>
</dd>
</dl>
 <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="Diplomacy">class <strong>Diplomacy</strong></a>(<a href="builtins.html#object">builtins.object</a>)</font></td></tr>
    
<tr><td bgcolor="#ffc8d8"><tt>&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%">Methods defined here:<br>
<dl><dt><a name="Diplomacy-__init__"><strong>__init__</strong></a>(self)</dt><dd><tt>Initialize&nbsp;self.&nbsp;&nbsp;See&nbsp;help(type(self))&nbsp;for&nbsp;accurate&nbsp;signature.</tt></dd></dl>

<dl><dt><a name="Diplomacy-diplomacy_move"><strong>diplomacy_move</strong></a>(self, army, city)</dt><dd><tt>This&nbsp;function&nbsp;will&nbsp;trigger&nbsp;when&nbsp;an&nbsp;army&nbsp;moves&nbsp;to&nbsp;another&nbsp;city.<br>
It&nbsp;will&nbsp;determine&nbsp;the&nbsp;result&nbsp;of&nbsp;that&nbsp;army&nbsp;and&nbsp;all&nbsp;related&nbsp;armies<br>
(including&nbsp;the&nbsp;army&nbsp;holding&nbsp;that&nbsp;city&nbsp;and&nbsp;its&nbsp;supports)<br>
input:&nbsp;army&nbsp;-&gt;&nbsp;the&nbsp;index&nbsp;of&nbsp;the&nbsp;army&nbsp;that&nbsp;makes&nbsp;the&nbsp;inital&nbsp;move<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;city&nbsp;-&gt;&nbsp;the&nbsp;index&nbsp;of&nbsp;the&nbsp;city&nbsp;that&nbsp;the&nbsp;given&nbsp;army&nbsp;moves&nbsp;to<br>
output:&nbsp;update&nbsp;the&nbsp;status&nbsp;of&nbsp;related&nbsp;armies&nbsp;(dead&nbsp;or&nbsp;alive)&nbsp;and&nbsp;new&nbsp;position&nbsp;if&nbsp;move&nbsp;successfully</tt></dd></dl>

<dl><dt><a name="Diplomacy-diplomacy_read"><strong>diplomacy_read</strong></a>(self, file)</dt><dd><tt>read&nbsp;the&nbsp;input&nbsp;file<br>
input:&nbsp;file&nbsp;-&gt;&nbsp;the&nbsp;input&nbsp;file<br>
output:&nbsp;update&nbsp;the&nbsp;info&nbsp;of&nbsp;the&nbsp;class&nbsp;itself&nbsp;based&nbsp;on&nbsp;the&nbsp;input</tt></dd></dl>

<dl><dt><a name="Diplomacy-diplomacy_support"><strong>diplomacy_support</strong></a>(self, army)</dt><dd><tt>This&nbsp;function&nbsp;is&nbsp;used&nbsp;to&nbsp;find&nbsp;the&nbsp;number&nbsp;of&nbsp;support&nbsp;an&nbsp;army&nbsp;has<br>
input:&nbsp;army&nbsp;-&gt;&nbsp;the&nbsp;index&nbsp;of&nbsp;the&nbsp;army&nbsp;we&nbsp;need&nbsp;to&nbsp;calculate&nbsp;the&nbsp;number&nbsp;of&nbsp;support<br>
output:&nbsp;result&nbsp;-&gt;&nbsp;the&nbsp;number&nbsp;of&nbsp;support&nbsp;that&nbsp;army&nbsp;has</tt></dd></dl>

<hr>
Data descriptors defined here:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
</td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#eeaa77">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Functions</strong></big></font></td></tr>
    
<tr><td bgcolor="#eeaa77"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl><dt><a name="-diplomacy_print"><strong>diplomacy_print</strong></a>(w, army, position, dead)</dt><dd><tt>print&nbsp;the&nbsp;result<br>
w&nbsp;a&nbsp;writer<br>
army:&nbsp;the&nbsp;list&nbsp;of&nbsp;army<br>
position:&nbsp;the&nbsp;list&nbsp;of&nbsp;final&nbsp;position&nbsp;of&nbsp;each&nbsp;army&nbsp;(either&nbsp;[dead],&nbsp;new&nbsp;city&nbsp;or&nbsp;old&nbsp;city)<br>
dead:&nbsp;the&nbsp;list&nbsp;of&nbsp;armies'&nbsp;status</tt></dd></dl>
 <dl><dt><a name="-diplomacy_solve"><strong>diplomacy_solve</strong></a>(r, w)</dt><dd><tt>r&nbsp;a&nbsp;reader<br>
w&nbsp;a&nbsp;writer</tt></dd></dl>
</td></tr></table>
</body></html>